using GraphicsManager.Enums;
using GraphicsManager.Interfaces;
using GraphicsManager.Objects;

namespace Luski.GUI.MainScreen.UI.Generic;

public class LuskiFlow : FlowLayout
{
    public override void ParentResize()
    {
        BlockDraw = true;
	    for (int i = 0; i < Controls.Length; i++)
	    {
		    if (Controls[i] is IParent parent)
		    {
			    parent.ParentResize();
		    }
	    }
	    if (Parent is not null) Parent.TryDraw();
	    BlockDraw = false;
    }
}